第10章  Linux二进制兼容模式

目录
10.1 概述
10.2 安装
10.3 安装Mathematica®
10.4 安装Maple
10.5 安装MATLAB®
10.6 安装Oracle®
10.7 安装SAP® R/3®
10.8 高级主题
Restructured and parts updated by Jim Mock. Originally contributed by Brian N. Handy 和 Rich Murphey.

10.1 概述

  FreeBSD 提供了与其他几种类 UNIX® 操作系统, 包括 Linux, 的兼容性。 现在您可能会问, 为什么 FreeBSD 需要能够运行 Linux 的可执行文件? 答案很简单。 许多公司和开发人员只为 Linux 开发程序, 因为这是目前计算机世界 “最热门” 的技术。 这使得我们 FreeBSD 用户不得不去劝说这些公司和开发人员提供他们应用程序可以直接在 FreeBSD 上运行的版本。 问题是, 许多这样的公司并不真的知道到底提供了 FreeBSD 版本之后能带来多少用户, 因此许多仍然只开发 Linux 的版本。 这时 FreeBSD 用户能做什么呢? 答案就是使用 FreeBSD 所提供的 Linux 二进制兼容性。

  简而言之, 这种兼容性能够让 FreeBSD 用户不加修改地直接运行大约 90% 的 Linux 应用程序。 这包括类似 StarOffice, Linux 版本的 Netscape®Adobe® Acrobat®RealPlayer®VMwareOracle®WordPerfect®DoomQuake, 等等。 此外, 也有人说, 某些情况下, 在 FreeBSD 上面运行的 Linux 程序的性能, 甚至好于直接在 Linux 上面运行。

  然而, 仍然有一些只有 Linux 才有的操作系统特性在 FreeBSD 上并不被支持。 如果 Linux 程序过分地使用只能在 i386™ 上使用的特性, 例如启用虚拟 8086 模式, 则也有可能无法在 FreeBSD 上运行。

  读完这章,您将了解到:

  阅读这章之前,您应该知道:

积木 服务邮箱:Info(#)Gimoo.Net 推荐:技术手册 感谢“笑虎”技术支持
Copyright © 2008 Gimoo.NetInc. all rights reserved 京ICP备05050695号